<div id="export">&#13;</p>
    <div id="rightcol">&#13;</p>
        <div class="bread">
            <a href="../index.html">Home</a> &gt;<br />
            <a href="index.html">SOA Methodology</a> &gt;<br />
            <span class="graybread">Entity Services</span>
        </div>
        <p><!------------------------------\methodology_content begin here//////////---------------------------></p>
        <div class="methodology_content">
            <h2>Entity Services</h2>
            <p><img alt="Entity Services" src="https://patterns.arcitura.com/wp-content/uploads/2019/03/p26b.jpg" align="right" vspace="3" hspace="3" /></p>
            <p>In just about every enterprise, there will be business model documents that define the organization&#8217;s relevant business entities. Examples of business entities include customer, employee, invoice, and claim.</p>
            <p>The <i>entity service</i> model represents a business-centric service that bases its functional boundary and context on one or more related business entities. It is considered a highly reusable service because it is agnostic to most parent business processes. As a result, a single entity service can be leveraged to automate multiple parent business processes.
            </p>
            <p>Entity services are also known as <i>entity-centric business services</i> or <i>business entity services</i>.</p>
            <p>The figure on the right shows an example of an entity service. Several of its capabilities are reminiscent of traditional CRUD (create, read, update, delete) methods.</p>
            <p></div>
        <p><!-----------------------\ methodology_content end here //////////---------------------------->
    </div>
    <p>&#13;</p>
    <div id="book_footer">
        <!--BOOK BOX--></p>
        <div class="book_box">
            <div class="book_img">
                <a href="https://www.arcitura.com/soa-school/courses/soacp-module-4-fundamental-soa-analysis-modeling-with-services-microservices/"><img src="https://patterns.arcitura.com/wp-content/uploads/2019/03/m_04.png" alt="SOASchool.com SOA Certified Professional (SOACP) Module 4: SOA Project Delivery &amp; Methodology" title="SOASchool.com SOA Certified Professional (SOACP) Module 4: SOA Project Delivery &amp; Methodology" /></a>
            </div>
            <div class="book_caption">
                <p>This topic is covered in SOACP <a href="https://www.arcitura.com/soa-school/courses/soacp-module-4-fundamental-soa-analysis-modeling-with-services-microservices/">Module 4: SOA Project Delivery &amp; Methodology</a>.</p>
                <p>For more information regarding the SOA Certified Professional (SOACP) curriculum, visit <a href="http://soaschool.com/">www.soaschool.com</a>.</p>
                </p></div>
            </p></div>
        <p>					<!--END BOOK BOX--></p>
        <p><!--BOOK BOX--></p>
        <div class="book_box">
            <div class="book_img">
                <a href="https://www.arcitura.com/books/ctd"><img src="https://patterns.arcitura.com/wp-content/uploads/2019/03/cover_ctd.png" alt="Service-Oriented Architecture: Concepts, Technology &amp; Design" title="Service-Oriented Architecture: Concepts, Technology &amp; Design" /></a>
            </div>
            <div class="book_caption">
                <p>This page contains excerpts from:</p>
                <p><a class="book_title" href="https://www.arcitura.com/books/ctd">Service-Oriented Architecture: Concepts, Technology &amp; Design</a> by Thomas Erl</p>
                <p>(ISBN: 0131858580 , Hardcover, Full-Color, 760 pages)</p>
                <p>For more information about this book, visit <a href="https://www.arcitura.com/books/">www.arcitura.com/books</a>.</p>
                </p></div>
        </div>
        <p><!--END BOOK BOX--></p>
    </div></div>
